import { jsx as _jsx } from "react/jsx-runtime";
import { memo, useMemo } from 'react';
import { createRowEntries } from '../verbForm/createRowEntries.js';
import { VerbDescription } from '../verbForm/VerbDescription.js';
export const RecodeDescription = /*#__PURE__*/ memo(function RecodeDescription(props) {
    const rows = useMemo(()=>{
        const { step: { args  } ,  } = props;
        const entries = Object.entries(args.map || {});
        const sub = createRowEntries(entries, (c)=>({
                value: `${c[0]} -> ${c[1]}`
            }), 2, props);
        return [
            {
                before: 'from column',
                value: args.column
            },
            {
                before: 'values',
                value: entries.length === 0 ? undefined : '',
                sub
            }, 
        ];
    }, [
        props
    ]);
    return /*#__PURE__*/ _jsx(VerbDescription, {
        ...props,
        rows: rows
    });
});
